Get User
curl --request GET \
--url https://api.royalti.io/user/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/user/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fullName": "user2 Royalti",
"phone": "+1234567890",
"country": "Nigeria",
"message": "Welcome to Royalti!",
"sendEmail": true,
"redirect_url": "https://app.royalti.io/welcome",
"id": "b56fe67e-d1b9-4a04-9a13-c0a53be8da49",
"firstName": "user2",
"lastName": "Royalti",
"email": "user2@royalti.io",
"ipi": "1234567890",
"externalId": "123",
"TenantUser": {
"TenantId": 2,
"nickName": "iEmmanuel104",
"userType": [
"Artist"
]
},
"invite": {
"id": "e2d9b1ff-1db1-4c6f-86de-65c13716fd4d",
"status": "invited",
"date": "2024-06-10T12:00:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}User
Get User
/user/
GET
/
user
/
{id}
Get User
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/user/ Description: The/user/{userId} endpoint allows users to retrieve the details of a specific user identified by their unique userId.
Authorization:
- Own resource: any authenticated user (self-access)
- Other resources:
useror higher
GET
Path Parameter:
| Parameter | Type | Description |
|---|---|---|
| userId | string | The unique identifier of the user. |
See Examples below for response
Code Examples
const response = await fetch('https://api.royalti.io/user/example-id', {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/user/example-id',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/user/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
User ID (TenantUser ID)
⌘I